/**
 * For more details on how to configure Wrangler, refer to:
 * https://developers.cloudflare.com/workers/wrangler/configuration/
 */
{
	"$schema": "node_modules/wrangler/config-schema.json",
	"name": "space-stream",
	"main": ".svelte-kit/cloudflare/_worker.js",
	"compatibility_date": "2026-04-11",
	"compatibility_flags": ["nodejs_compat", "nodejs_als"],
	"assets": {
		"binding": "ASSETS",
		"directory": ".svelte-kit/cloudflare",
	},
	"observability": {
		"enabled": true,
	},
	"upload_source_maps": true,
	"routes": [
		{
			"pattern": "spacestream.cazzzer.com",
			"custom_domain": true,
		},
	],
	/**
	 * Environment Variables
	 * https://developers.cloudflare.com/workers/wrangler/configuration/#environment-variables
	 * Note: Use secrets to store sensitive data.
	 * https://developers.cloudflare.com/workers/configuration/secrets/
	 */
	"vars": {
		"PUBLIC_SPACETIMEDB_DB_NAME": "space-stream-b8trs",
		"PUBLIC_SPACETIMEDB_HOST": "wss://maincloud.spacetimedb.com",
	},
	/**
	 * Smart Placement
	 * https://developers.cloudflare.com/workers/configuration/smart-placement/#smart-placement
	 */
	// "placement": {  "mode": "smart" }
	/**
	 * Bindings
	 * Bindings allow your Worker to interact with resources on the Cloudflare Developer Platform, including
	 * databases, object storage, AI inference, real-time communication and more.
	 * https://developers.cloudflare.com/workers/runtime-apis/bindings/
	 */
	/**
	 * Service Bindings (communicate between multiple Workers)
	 * https://developers.cloudflare.com/workers/wrangler/configuration/#service-bindings
	 */
	// "services": [  {   "binding": "MY_SERVICE",   "service": "my-service"  } ]
}
